Bug 98311 - Exception when trying to edit item name in multipart article
Exception when trying to edit item name in multipart article
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Justin Ross
Jon Orris
:
Depends On:
Blocks: rc0blockers
  Show dependency treegraph
 
Reported: 2003-06-30 18:09 EDT by Branimir Dolicki
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-07 12:13:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Branimir Dolicki 2003-06-30 18:09:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/85 (KHTML, like Gecko) Safari/85

Description of problem:
If the Name of an existing Multipart Article is changed to a longer one an exception is thrown.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a Multipart article.  Use 'a' (without quotes) as the Name
2. Edit the article - change the Name to 'ab'
3. Click on Save
4. Boooom.
    

Actual Results:  java.lang.ClassCastException: com.arsdigita.cms.ContentBundle
        at com.arsdigita.cms.contenttypes.ui.mparticle.MultiPartArticleEdit$MultiPartArticleEditForm.validate(MultiPartArticleEdit.java:132)
        at com.arsdigita.bebop.FormSection.fireValidate(FormSection.java:378)
        at com.arsdigita.bebop.FormSection$3.validate(FormSection.java:404)
        at com.arsdigita.bebop.FormModel.fireFormValidation(FormModel.java:457)
        at com.arsdigita.bebop.FormModel.process(FormModel.java:338)
        at com.arsdigita.bebop.Form.process(Form.java:440)
        at com.arsdigita.bebop.Form.respond(Form.java:281)
        at com.arsdigita.bebop.PageState.respond(PageState.java:348)
        at com.arsdigita.bebop.Page.process(Page.java:695)
        at com.arsdigita.bebop.Page.process(Page.java:677)
        at com.arsdigita.bebop.Page.buildDocument(Page.java:731)
        at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:262)
        at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:71)
        at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:270)
        at com.arsdigita.cms.dispatcher.CMSDispatcher.dispatch(CMSDispatcher.java:257)
        at com.arsdigita.cms.dispatcher.CMSDispatcher.chainedDispatch(CMSDispatcher.java:345)
        at com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
        at com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:134)
        at com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:119)
        at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
        at com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:113)
        at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:127)
        at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
        at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:102)
        at com.arsdigita.web.BaseServlet.doPost(BaseServlet.java:237)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:165)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
        at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
        at com.caucho.server.http.Invocation.service(Invocation.java:312)
        at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
        at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
        at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
        at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:212)
        at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:198)
        at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:130)
        at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
        at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
        at com.caucho.server.http.Invocation.service(Invocation.java:312)
        at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
        at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
        at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
        at java.lang.Thread.run(Thread.java:479)

Additional info:
Comment 1 Richard Li 2003-07-07 12:04:40 EDT
I can't create a MPA at all. I get:

2003-07-07 12:04:05,381 [006-0] FATAL logging.ErrorReport - 
-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code:
conundrum.boston.redhat.com:9006:5f464ce4:f63d816684 -*-*-*-
-*-*-*- Message: ERROR:  No such attribute ld.dirty
 -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,video/x-mng,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Accept-Encoding: gzip,deflate,compress;q=0.9
Accept-Language: en-us,en;q=0.5
Connection: keep-alive
Content-Length: 2556
Content-Type: multipart/form-data;
boundary=---------------------------1240538430753699309898740853
Cookie: JSESSIONID=aKU_riH7dMQ9;
ad_user_login=2008!1151595894014!loGuprPTr5csz/GcD51VOg==
Host: conundrum.boston.redhat.com:9006
Keep-Alive: 300
Referer: http://conundrum.boston.redhat.com:9006/ccm/content/admin/index.jsp
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030516
Mozilla Firebird/0.6

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: aKU_riH7dMQ9 (expires: -1)
ad_user_login: 2008!1151595894014!loGuprPTr5csz/GcD51VOg== (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
com.arsdigita.persistence.proto.engine.rdbms.RDBMSEngine$3: ERROR:  No such
attribute ld.dirty

	at
com.arsdigita.persistence.proto.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java:413)
	at
com.arsdigita.persistence.proto.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java:373)
	at
com.arsdigita.persistence.proto.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java:197)
	at
com.arsdigita.persistence.proto.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java:188)
	at com.arsdigita.persistence.proto.Cursor.execute(Cursor.java:112)
	at com.arsdigita.persistence.proto.Cursor.next(Cursor.java:96)
	at com.arsdigita.persistence.proto.Session.retrieve(Session.java:72)
	at com.arsdigita.persistence.Session.retrieve(Session.java:541)
	at com.arsdigita.lucene.Document.retrieve(Document.java:93)
	at com.arsdigita.lucene.Observer.afterSave(Observer.java:53)
	at
com.arsdigita.domain.ObservableDomainObject.afterSave(ObservableDomainObject.java:224)
	at com.arsdigita.cms.ContentItem.afterSave(ContentItem.java:394)
	at com.arsdigita.domain.DomainObject$SaveObserver.afterSave(DomainObject.java:615)
	at com.arsdigita.persistence.AfterSaveEvent.doInvoke(DataEvent.java:186)
	at com.arsdigita.persistence.DataEvent.invoke(DataEvent.java:39)
	at com.arsdigita.persistence.DataObjectImpl.fireObserver(DataObjectImpl.java:457)
	at
com.arsdigita.persistence.Session$FlushEventProcessor.flush(Session.java(Compiled
Code))
	at
com.arsdigita.persistence.Session$FlushEventProcessor.flush(Session.java(Compiled
Code))
	at com.arsdigita.persistence.proto.Session.process(Session.java(Compiled Code))
	at com.arsdigita.persistence.proto.Session.flushInternal(Session.java(Compiled
Code))
	at com.arsdigita.persistence.proto.Session.flush(Session.java:486)
	at com.arsdigita.persistence.proto.Cursor.next(Cursor.java:95)
	at com.arsdigita.persistence.proto.Session.retrieve(Session.java:72)
	at com.arsdigita.persistence.Session.retrieve(Session.java:541)
	at com.arsdigita.versioning.EventType.getDataObject(EventType.java:67)
	at
com.arsdigita.versioning.DataObjectChange.recordAssocEvent(DataObjectChange.java:112)
	at com.arsdigita.versioning.DataObjectChange.recordEvent(DataObjectChange.java:92)
	at
com.arsdigita.versioning.VersioningEventProcessor$EventSwitch.onAdd(VersioningEventProcessor.java:123)
	at com.arsdigita.persistence.proto.AddEvent.dispatch(AddEvent.java:28)
	at
com.arsdigita.versioning.VersioningEventProcessor.write(VersioningEventProcessor.java:70)
	at com.arsdigita.persistence.proto.Session.flushInternal(Session.java(Compiled
Code))
	at com.arsdigita.persistence.proto.Session.flush(Session.java:486)
	at com.arsdigita.persistence.proto.Cursor.next(Cursor.java:95)
	at com.arsdigita.persistence.proto.Session.retrieve(Session.java:72)
	at com.arsdigita.persistence.Session.retrieve(Session.java:541)
	at com.arsdigita.versioning.EventType.getDataObject(EventType.java:67)
	at com.arsdigita.versioning.DataObjectChange.recordEvent(DataObjectChange.java:178)
	at
com.arsdigita.versioning.VersioningEventProcessor$EventSwitch.onCreate(VersioningEventProcessor.java:137)
	at com.arsdigita.persistence.proto.CreateEvent.dispatch(CreateEvent.java:24)
	at
com.arsdigita.versioning.VersioningEventProcessor.write(VersioningEventProcessor.java:70)
	at com.arsdigita.persistence.proto.Session.flushInternal(Session.java(Compiled
Code))
	at com.arsdigita.persistence.proto.Session.flush(Session.java:486)
	at com.arsdigita.persistence.proto.Cursor.next(Cursor.java:95)
	at com.arsdigita.persistence.proto.Session.retrieve(Session.java:72)
	at com.arsdigita.persistence.Session.retrieve(Session.java:541)
	at com.arsdigita.versioning.EventType.getDataObject(EventType.java:67)
	at com.arsdigita.versioning.DataObjectChange.recordEvent(DataObjectChange.java:178)
	at
com.arsdigita.versioning.VersioningEventProcessor$EventSwitch.onCreate(VersioningEventProcessor.java:137)
	at com.arsdigita.persistence.proto.CreateEvent.dispatch(CreateEvent.java:24)
	at
com.arsdigita.versioning.VersioningEventProcessor.write(VersioningEventProcessor.java:70)
	at com.arsdigita.persistence.proto.Session.flushInternal(Session.java(Compiled
Code))
	at com.arsdigita.persistence.proto.Session.flush(Session.java:486)
	at com.arsdigita.persistence.proto.Cursor.next(Cursor.java:95)
	at com.arsdigita.persistence.proto.Session.retrieve(Session.java:72)
	at com.arsdigita.persistence.Session.retrieve(Session.java:541)
	at com.arsdigita.domain.DomainObject.<init>(DomainObject.java:128)
	at com.arsdigita.kernel.permissions.ObjectContext.<init>(ObjectContext.java:81)
	at com.arsdigita.kernel.permissions.ObjectContext.<init>(ObjectContext.java:89)
	at
com.arsdigita.kernel.permissions.PermissionManager.setContext(PermissionManager.java:295)
	at
com.arsdigita.kernel.permissions.PermissionService.setContext(PermissionService.java:241)
	at com.arsdigita.cms.ContentItem.setParent(ContentItem.java:481)
	at com.arsdigita.cms.ContentBundle.addInstance(ContentBundle.java:163)
	at com.arsdigita.cms.ContentBundle.<init>(ContentBundle.java:88)
	at
com.arsdigita.cms.contenttypes.ui.mparticle.MultiPartArticleCreate.process(MultiPartArticleCreate.java:106)
	at com.arsdigita.bebop.FormSection.fireProcess(FormSection.java:491)
	at com.arsdigita.bebop.FormSection$4.process(FormSection.java:465)
	at com.arsdigita.bebop.FormModel.fireFormProcess(FormModel.java:478)
	at com.arsdigita.bebop.FormModel.process(FormModel.java:345)
	at com.arsdigita.bebop.Form.process(Form.java:440)
	at com.arsdigita.bebop.MetaForm.process(MetaForm.java:164)
	at com.arsdigita.bebop.Form.respond(Form.java:281)
	at com.arsdigita.bebop.PageState.respond(PageState.java:348)
	at com.arsdigita.bebop.Page.process(Page.java:695)
	at com.arsdigita.bebop.Page.process(Page.java:677)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:731)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:262)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:71)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:270)
	at com.arsdigita.cms.dispatcher.CMSDispatcher.dispatch(CMSDispatcher.java:257)
	at
com.arsdigita.cms.dispatcher.CMSDispatcher.chainedDispatch(CMSDispatcher.java:337)
	at com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:134)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:119)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:113)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:127)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:102)
	at com.arsdigita.web.BaseServlet.doPost(BaseServlet.java:237)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:165)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:212)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:198)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:130)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:512)


-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /ccm/content/admin/index.jsp
Query string: null
Method: POST
Remote user: null

-*-*-*- Section: System properties -*-*-*-
file.encoding: ISO-8859-1
file.encoding.pkg: sun.io
file.separator: /
invokedviajava: 
java.assistive: ON
java.awt.fonts: 
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
:/var/ccm-devel/web/richardl/cms/webapps/ccm/WEB-INF/lib/jaas.jar:/var/ccm-devel/web/richardl/cms/webapps/ccm/WEB-INF/lib/jce.jar:/var/ccm-devel/web/richardl/cms/webapps/ccm/WEB-INF/lib/sunjce_provider.jar:/opt/oracle/product/9.2.0.1/jdbc/lib/classes12.zip:/var/ccm-devel/web/richardl/cms/webapps/ccm/WEB-INF/lib/xerces.jar:/var/ccm-devel/web/richardl/cms/webapps/ccm/WEB-INF/lib/xalan.jar:/opt/resin/2.1.4/lib/jaxp.jar:/opt/resin/2.1.4/lib/dom.jar:/opt/resin/2.1.4/lib/jdbc2_0-stdext.jar:/opt/resin/2.1.4/lib/jdbc-mysql.jar:/opt/resin/2.1.4/lib/jndi.jar:/opt/resin/2.1.4/lib/jmx.jar:/opt/resin/2.1.4/lib/jta-spec1_0_1.jar:/opt/resin/2.1.4/lib/resin.jar:/opt/resin/2.1.4/lib/sax.jar:/opt/resin/2.1.4/lib/webutil.jar:/opt/IBMJava2-131/lib/tools.jar:/opt/IBMJava2-131/jre/lib/rt.jar:/opt/resin/2.1.4/lib/jsdk23.jar
java.class.version: 46.0
java.compiler: jitc
java.ext.dirs: /opt/IBMJava2-131/jre/lib/ext
java.fullversion: J2RE 1.3.1 IBM build cxia32131-20020302 (JIT enabled: jitc)
java.home: /opt/IBMJava2-131/jre
java.io.tmpdir: /tmp
java.library.path:
/opt/IBMJava2-131/jre/bin:/opt/IBMJava2-131/jre/bin/classic:/opt/oracle/product/9.2.0.1/lib:/lib:/usr/lib:/usr/local/lib:/usr/oracle/JRE/lib:libexec:/usr/lib
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: IBM Corporation
java.vendor.url: http://www.ibm.com/
java.vendor.url.bug: 
java.version: 1.3.1
java.vm.info: J2RE 1.3.1 IBM build cxia32131-20020302 (JIT enabled: jitc)
java.vm.name: Classic VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: IBM Corporation
java.vm.version: 1.3.1
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory: org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory:
org.apache.xalan.processor.TransformerFactoryImpl
line.separator: 

org.xml.sax.driver: org.apache.xerces.parsers.SAXParser
os.arch: x86
os.name: Linux
os.version: 2.4.9-e.12
path.separator: :
PreferredXSLTTransformer: XALAN
resin.home: /opt/resin/2.1.4
sun.boot.class.path:
/opt/IBMJava2-131/jre/lib/rt.jar:/opt/IBMJava2-131/jre/lib/i18n.jar:/opt/IBMJava2-131/jre/classes
sun.boot.library.path: /opt/IBMJava2-131/jre/bin
sun.io.unicode.encoding: UnicodeLittle
user.dir: /opt/resin/2.1.4
user.home: /home/boston/richardl
user.language: en
user.name: richardl
user.region: US
user.timezone: America/New_York
vendor: Apache Software Foundation
vendor-url: http://xml.apache.org/xalan
version: 2.1.0
-*-*-*-*-*- End Error Report -*-*-*-*-*-

Comment 2 Jon Orris 2003-07-07 12:13:54 EDT
Fixed @33229

Note You need to log in before you can comment on or make changes to this bug.